HierarchyControllerGetSpecificMembers Method

POST /Hierarchy/SpecificMembers/{id} Gets the hierarchy level members.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("SpecificMembers")]
public IActionResult GetSpecificMembers(
	Guid id,
	[FromBodyAttribute] IList<GetHierarchyMemberOptions> getMemberOptions,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the hierarchy or its parent entity.
getMemberOptions
Type: System.Collections.GenericIListGetHierarchyMemberOptions
The options to get the members.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
An array of HierarchyMemberData objects containing the members, or a status code indicating the problem.
See Also